{ system ? builtins.currentSystem }:

let
  pkgs = import <nixpkgs> { };
  callPackage = pkgs.lib.callPackageWith pkgs;
  gitea-attachements-proxy = callPackage ./package.nix { };

  dockerImage = pkg:
    pkgs.dockerTools.buildLayeredImage {
      name = "garionion/gitea-attachements-proxy";
      tag = "latest";

      contents = [ pkgs.cacert pkg ];

      config = {
        Cmd = [ "/bin/gitea-attachements-proxy" ];
        WorkingDir = "/";
      };
    };

in dockerImage gitea-attachements-proxy
